<?php

namespace Drupal\content_entity_builder\Entity;

use Drupal\Core\Entity\ContentEntityBase;
use Drupal\Core\Entity\EntityStorageInterface;
use Drupal\Core\Entity\EntityTypeInterface;
use Drupal\Core\Field\BaseFieldDefinition;
use Drupal\content_entity_builder\ContentInterface;

/**
 * Defines the Content entity.
 *
 * @ingroup content_entity_builder
 */
class Content extends ContentEntityBase implements ContentInterface {

  /**
   * {@inheritdoc}
   */
  public static function preCreate(EntityStorageInterface $storage_controller, array &$values) {
    parent::preCreate($storage_controller, $values);
  }

  /**
   * {@inheritdoc}
   */
  public static function baseFieldDefinitions(EntityTypeInterface $entityType) {
    $fields = parent::baseFieldDefinitions($entityType);
	//$config = \Drupal::config("content_entity_builder.content_type.{$entityType->id()}");
	$content_type = \Drupal::entityManager()->getStorage('content_type')->load($entityType->id());
	
	//already defined in parent class, TODO:delete this code
	/*
    $fields['id'] = BaseFieldDefinition::create('integer')
      ->setLabel(t('ID'))
      ->setDescription(t('The ID of the entity.'))
      ->setReadOnly(TRUE);  
    */
	  
	foreach ($content_type->getBaseFields() as $base_field) {
	  $field_name = $base_field->getFieldName();
	  $fields[$field_name] = $base_field->buildBaseFieldDefinition();
	  
	 /*
	  //TODO:delete this code
	  $field_type = $base_field->getFieldType();
	  $label = $base_field->getLabel();
      $fields[$field_name] = BaseFieldDefinition::create($field_type)
	    ->setLabel(t($label))
        //->setSettings('allowed_values', $options)
        ->setDisplayConfigurable('form', TRUE)
	    ->setDisplayConfigurable('view', TRUE);	
     	*/	
		
	}
	
    return $fields;
  }

}
