<?php

namespace Drupal\content_entity_builder\Form;

use Drupal\Core\Form\FormStateInterface;

/**
 * Controller for content entity type addition forms.
 */
class ContentTypeAddForm extends ContentTypeFormBase {

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
	//set default entity keys
    $keys = array(
      'id' => 'id',
       'uuid' => 'uuid'			
    );	  
	$this->entity->setEntityKeys($keys);
    parent::submitForm($form, $form_state);
    drupal_set_message($this->t('Type %name was created.', array('%name' => $this->entity->label())));
  }

  /**
   * {@inheritdoc}
   */
  public function actions(array $form, FormStateInterface $form_state) {
    $actions = parent::actions($form, $form_state);
    $actions['submit']['#value'] = $this->t('Create new type');

    return $actions;
  }

}
